Skip to main content
GET
/
api
/
v1
/
tasks
/
{taskId}
Get a single task by ID
curl --request GET \
  --url https://znift.com/api/v1/tasks/{taskId} \
  --header 'x-api-key: <api-key>'
{
  "_id": "<string>",
  "text": "<string>",
  "date": "2023-12-25",
  "isCompleted": true,
  "priority": "high",
  "dueTime": 123,
  "timeSpent": 123,
  "details": "<string>",
  "order": 123,
  "createdAt": 123,
  "archivedAt": 123,
  "previousDates": [
    "<string>"
  ]
}

Authorizations

x-api-key
string
header
required

API key with znift_ prefix. Create one in Profile > API Keys.

Path Parameters

taskId
string
required

Task ID

Response

Task object

_id
string

Task ID

text
string

Task text

date
string<date>

Date in YYYY-MM-DD format

isCompleted
boolean
priority
enum<string> | null
Available options:
high,
medium,
low
dueTime
number | null

Due time as Unix timestamp in ms

timeSpent
number | null

Time spent in minutes

details
string | null

Additional task details

order
number

Sort order within date

createdAt
number

Creation timestamp in ms

archivedAt
number | null

Archive timestamp in ms

previousDates
string[]

Dates this task was previously on